package vip.xiaonuo.purchase.service;

import com.alibaba.fastjson.JSONArray;
import vip.xiaonuo.purchase.entity.PurchaseOrder;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.purchase.entity.vo.*;
import vip.xiaonuo.purchase.param.PurchaseOrderParam;
import vip.xiaonuo.purchase.param.PurchaseParam;

import java.util.List;

/**
 * <p>
 * 采购订单表 服务类
 * </p>
 *
 * @author author
 * @since 2024-11-25
 */
public interface IPurchaseOrderService extends IService<PurchaseOrder> {

    //总览
    PurchaseOrderVo getOrder(PurchaseParam purchaseParam);

    //采购订单数量 金额
    List<PurchaseOrderMoneyVo> listOrderMoney(PurchaseOrderParam orderParam);

    //二级页面
    List<PurchaseOrderTypeVo> orderType(PurchaseParam param);

    //采购金额趋势
    List<PurchaseMoneyVo> listMoney(PurchaseParam param);

    //供应商占比分析
    JSONArray materialType(PurchaseParam param);
}
